Subject: RE: bug#10477: zap-to-char should allow picking from history

From: "Drew Adams" <[email-masked]>
Date: Sat, 14 Jan 2012 19:47:36 -0800

> DA> The idea is to try to make it easier to zap to Unicode 
> DA> (e.g. Chinese) chars that you have already inserted.
> DA> The tradeoff is that zapping to a TAB or C-q char
> DA> requires you to hit `C-q' first.
>
> Well pros with embedded control characters probably have 
> other means of zapping.
>
> DA> (I don't really know whether completing against a char 
> DA> name is necessarily easier than "to type the actual
> DA> character back in again".  Completing against a
> DA> history list instead of all Unicode chars as candidates, 
> DA> the thought was that it might be.  Dunno.)
>
> I don't know if "completion" is relevant in the case of just 
> one character.  All I know is hitting one or two up arrows
> and then RET is what the user would like to do.

You can do that as well in Icicles during completion.  You have the choice: type
chars to match candidates (in this case, Unicode char names) or cycle using,
e.g., arrow keys.  E.g., you can do this:

M-z TAB <up> <up> <up>...